# Trait heck::ToSnekCase

source · [−]

    pub trait ToSnekCase: ToOwned {
        fn to_snek_case(&self) -> Self::Owned;
    }

Expand description

Oh heck, SnekCase is an alias for ToSnakeCase. See ToSnakeCase for more documentation.

## Required Methods

source

#### fn to_snek_case(&self) -> Self::Owned

Convert this type to snek case.

## Implementors

source

### impl<T: ?Sized + ToSnakeCase> ToSnekCase for T